<html>
<head>
<title>OGRE: OgreRectangle.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRectangle.h</h1><a href="OgreRectangle_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef _Rectangle_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define _Rectangle_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00035"></a>00035 
<a name="l00036"></a><a class="code" href="structOgre_1_1Rectangle.html">00036</a>     <span class="keyword">struct </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="structOgre_1_1Rectangle.html">Rectangle</a>
<a name="l00037"></a>00037     {
<a name="l00038"></a><a class="code" href="structOgre_1_1Rectangle.html#4851de00a37259650c67b9d000ed80d1">00038</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> left;
<a name="l00039"></a><a class="code" href="structOgre_1_1Rectangle.html#fb3100f7a6979bfcb45e25ca4b36df2c">00039</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> top;
<a name="l00040"></a><a class="code" href="structOgre_1_1Rectangle.html#e8be8a35b84e0a60b706df4e4aa9d006">00040</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> right;
<a name="l00041"></a><a class="code" href="structOgre_1_1Rectangle.html#4f8176ad0efb40889b96c05bfbf61176">00041</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> bottom;
<a name="l00042"></a>00042 
<a name="l00043"></a><a class="code" href="structOgre_1_1Rectangle.html#248f253e65b63f573bbe368b523567bd">00043</a>         <span class="keyword">inline</span> <span class="keywordtype">bool</span> inside(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> y)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> x &gt;= left &amp;&amp; x &lt;= right &amp;&amp; y &gt;= top &amp;&amp; y &lt;= bottom; }
<a name="l00044"></a>00044     };
<a name="l00045"></a>00045 
<a name="l00055"></a><a class="code" href="namespaceOgre.html#81496e2975b6d4654e62db86086bb5a1">00055</a>     <span class="keyword">inline</span> <a class="code" href="structOgre_1_1Rectangle.html">Rectangle</a> <a class="code" href="namespaceOgre.html#81496e2975b6d4654e62db86086bb5a1" title="Geometric intersection of two rectanglar regions.">intersect</a>(<span class="keyword">const</span> <a class="code" href="structOgre_1_1Rectangle.html">Rectangle</a>&amp; lhs, <span class="keyword">const</span> <a class="code" href="structOgre_1_1Rectangle.html">Rectangle</a>&amp; rhs)
<a name="l00056"></a>00056     {
<a name="l00057"></a>00057         <a class="code" href="structOgre_1_1Rectangle.html">Rectangle</a> r;
<a name="l00058"></a>00058 
<a name="l00059"></a>00059         r.<a class="code" href="structOgre_1_1Rectangle.html#4851de00a37259650c67b9d000ed80d1">left</a>   = lhs.<a class="code" href="structOgre_1_1Rectangle.html#4851de00a37259650c67b9d000ed80d1">left</a>   &gt; rhs.<a class="code" href="structOgre_1_1Rectangle.html#4851de00a37259650c67b9d000ed80d1">left</a>   ? lhs.<a class="code" href="structOgre_1_1Rectangle.html#4851de00a37259650c67b9d000ed80d1">left</a>   : rhs.<a class="code" href="structOgre_1_1Rectangle.html#4851de00a37259650c67b9d000ed80d1">left</a>;
<a name="l00060"></a>00060         r.<a class="code" href="structOgre_1_1Rectangle.html#fb3100f7a6979bfcb45e25ca4b36df2c">top</a>    = lhs.<a class="code" href="structOgre_1_1Rectangle.html#fb3100f7a6979bfcb45e25ca4b36df2c">top</a>    &gt; rhs.<a class="code" href="structOgre_1_1Rectangle.html#fb3100f7a6979bfcb45e25ca4b36df2c">top</a>    ? lhs.<a class="code" href="structOgre_1_1Rectangle.html#fb3100f7a6979bfcb45e25ca4b36df2c">top</a>    : rhs.<a class="code" href="structOgre_1_1Rectangle.html#fb3100f7a6979bfcb45e25ca4b36df2c">top</a>;
<a name="l00061"></a>00061         r.<a class="code" href="structOgre_1_1Rectangle.html#e8be8a35b84e0a60b706df4e4aa9d006">right</a>  = lhs.<a class="code" href="structOgre_1_1Rectangle.html#e8be8a35b84e0a60b706df4e4aa9d006">right</a>  &lt; rhs.<a class="code" href="structOgre_1_1Rectangle.html#e8be8a35b84e0a60b706df4e4aa9d006">right</a>  ? lhs.<a class="code" href="structOgre_1_1Rectangle.html#e8be8a35b84e0a60b706df4e4aa9d006">right</a>  : rhs.<a class="code" href="structOgre_1_1Rectangle.html#e8be8a35b84e0a60b706df4e4aa9d006">right</a>;
<a name="l00062"></a>00062         r.<a class="code" href="structOgre_1_1Rectangle.html#4f8176ad0efb40889b96c05bfbf61176">bottom</a> = lhs.<a class="code" href="structOgre_1_1Rectangle.html#4f8176ad0efb40889b96c05bfbf61176">bottom</a> &lt; rhs.<a class="code" href="structOgre_1_1Rectangle.html#4f8176ad0efb40889b96c05bfbf61176">bottom</a> ? lhs.<a class="code" href="structOgre_1_1Rectangle.html#4f8176ad0efb40889b96c05bfbf61176">bottom</a> : rhs.<a class="code" href="structOgre_1_1Rectangle.html#4f8176ad0efb40889b96c05bfbf61176">bottom</a>;
<a name="l00063"></a>00063 
<a name="l00064"></a>00064         <span class="keywordflow">return</span> r;
<a name="l00065"></a>00065     }
<a name="l00066"></a>00066 
<a name="l00067"></a>00067 }
<a name="l00068"></a>00068 
<a name="l00069"></a>00069 <span class="preprocessor">#endif // _Rectangle_H__</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:54 2008
</p>
</body>
</html>
